Subject: Tenn Meeting
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 11 Dec 2000 07:55:00 -0800 (PST)

We a conference room big enough for 8 people on Thursday, Nov 14 at 3:00 PM.

Vickie, I will see if the meeting date can be changed if Dan calls.